Author Topic: Upgrading CKeditor 4.4.3  (Read 8116 times)

Offline Luisehahne

  • WebsiteBaker Org e.V.
  • **
  • Posts: 4366
  • Gender: Male
    • Webdesign und Entwicklung WebsiteBaker
Re: Upgrading CKeditor 4.4.3
« Reply #25 on: February 09, 2015, 08:17:10 PM »
Hallo,

Inzwischne gibt es einen Quickfix, der aber nicht die Ursache behebt, aber den Absturz des CKeditors.

In der include.php folgenden Eintrag suchen:
Code: [Select]
<?php
$ckeditor
->config['removePlugins'] = 'wsc,link,save';

und den Eintrag link entfernen:
Code: [Select]
<?php
$ckeditor
->config['removePlugins'] = 'wsc,save';

Doppellink ruft dann die normale Link auf. Um den Wblink zu editieren, rechte Maustaste drücken und anschliessend den Menueintrag "Link editieren" mit der Wb Mütze davor.

Wie gesagt eine Notlösung damit sich der Editor nicht aufhängt. Nach der eigentlichen Ursache wird in Ruhe gesucht.

Dietmar


 
Immer nur von der Zukunft reden, die Gegenwart vergessen und auf die Vergangenheit schimpfen
Neues Unwort: Schnappatmung

Offline J.R.

  • Posts: 24
Re: Upgrading CKeditor 4.4.3
« Reply #26 on: February 13, 2015, 10:21:53 PM »
Bitte entschuldigen Sie meine Google Übersetzen auf Deutsch, aber diese wichtige Diskussion ist nicht aktuell auf der englischen Sprache CKEditor Forum. Frage:

Dietmar, in der Datei oder Dateien soll ich den Patch Code, den Sie am 9. Februar zur Verfügung gestellt haben geben?

Danke Shon!

-- J.R.

Gleiche Frage in meiner Muttersprache Englisch:

Please excuse my Google Translation to German, but this important discussion is not current on the English language CKEditor forum. Question:

Dietmar, in which file or files should I enter the patch code  you have provided on Feb 09?

Thanks!

-- J.R.

Offline Luisehahne

  • WebsiteBaker Org e.V.
  • **
  • Posts: 4366
  • Gender: Male
    • Webdesign und Entwicklung WebsiteBaker
Re: Upgrading CKeditor 4.4.3
« Reply #27 on: February 14, 2015, 09:53:37 PM »
Hi J.R.

the patches are in
 
/modules/ckeditor/ckeditor/plugins/wbdroplets/droplets.php
/modules/ckeditor/ckeditor/plugins/wblink/pages.php

Dietmar
Immer nur von der Zukunft reden, die Gegenwart vergessen und auf die Vergangenheit schimpfen
Neues Unwort: Schnappatmung

Offline J.R.

  • Posts: 24
Re: Upgrading CKeditor 4.4.3
« Reply #28 on: February 17, 2015, 11:43:14 PM »
Dietmar,

as written by Google:

Dank ... Ich nehme an, dass es sich lohnt das Upgrade auf ver. 4.4.7? Ich versuche zu sperren, eine stabile wb 2.8.3 SP3 für die Installation auf 8 neue Server zu verwenden. Vielleicht bin ich on eines Narren Botengang zu diesem Zeitpunkt?

as written by me:

Thanks... I take it that it is worth upgrading to ver. 4.4.7 ? I'm trying to lock down a stable wb 2.8.3 SP3 to use for installation on 8 new servers. Perhaps I am on a fool's errand at this point in time?  :roll:

-- J.R.

Offline Martin Hecht

  • Betatester
  • **
  • Posts: 586
  • Gender: Male
    • meine Homepage
Re: Upgrading CKeditor 4.4.3
« Reply #29 on: May 15, 2015, 10:08:18 PM »
Hallo Dietmar,

mit dem  Patch sollte das Plugin in  alle WB Versionen laufen
...
Und somit sind alle 2.8.3 Versionen berücksichtigt. Bitte mal in der Error.log nachschauen, warum der Ckeditor da aussteigt. Weisse Seite bedeutet meistens einen Fatal Error im PHP Code.

wollte hier mal noch Feedback geben. Ich hab das Paket lokal auf dem Laptop mal ausprobiert.
Bei mir das ckeditor-Paket auch ohne Anpassungen - unter php5.5 mit SP3. Vermutlich war ohne diese Anpassungen ein älteres PHP mit WB 2.8.3 ohne SP3 nicht mit berücksichtigt, oder?

Ich kann's mir gern nochmal genauer anschauen, dachte aber, dass ich erstmal nicht zu viel Aufwand betreibe, nachdem der Post hier schon ein bisschen älter ist. Das Thema ist bei mir ein bisschen liegen geblieben.

Martin

Offline yeha

  • Posts: 21
Re: Upgrading CKeditor 4.4.3
« Reply #30 on: March 03, 2017, 07:46:44 PM »
Hallo!
Vielleicht wichtig:
Modul: CKEditor v4.5.10 geht, wenn ich das mitgelieferte Template WebsiteBaker Default Template v1.0.0-dev.5 bei den Standarteinstellung für das Frontend auswähle.
Sobald ich mein eigenes Frontend Template nehme, werden Lang und Kurz text felder nicht mehr angezeigt (Im Backend).
WB Version  CMS Version 2.8.3+SP7 Adin Version 1.6

 

postern-length